com.creamtec.ajaxswing

## Class InProcessHttpServletRequest

- java.lang.Object
- - com.creamtec.ajaxswing.HttpServletRequestImpl
  - - com.creamtec.ajaxswing.InProcessHttpServletRequest

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

      public class InProcessHttpServletRequest
      extends HttpServletRequestImpl

  Declare this class to resolve classpath to the application classes. Otherwise bootclasspath doesn't work
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.creamtec.ajaxswing.HttpServletRequestImpl

      `HttpServletRequestImpl.MyCookie, HttpServletRequestImpl.SerializableCookie, HttpServletRequestImpl.SerializableEnumeration`

  - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InProcessHttpServletRequest(javax.servlet.http.HttpServletRequest request, java.lang.String requestDataLevel)`

  - ### Method Summary

    - ### Methods inherited from class com.creamtec.ajaxswing.HttpServletRequestImpl

      `authenticate, changeSessionId, getAsyncContext, getAttribute, getAttributeNames, getAuthType, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getContextPath, getCookies, getDateHeader, getDispatcherType, getHeader, getHeaderNames, getHeaders, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameterValues, getPart, getParts, getPathInfo, getPathTranslated, getProtocol, getQueryString, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRemoteUser, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getScheme, getServerName, getServerPort, getServletContext, getServletPath, getSession, getSession, getUserPrincipal, isAsyncStarted, isAsyncSupported, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, login, logout, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync, upgrade`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InProcessHttpServletRequest

          public InProcessHttpServletRequest(javax.servlet.http.HttpServletRequest request,
                                     java.lang.String requestDataLevel)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.